from hashlib import sha256 as compute_sha256
from hashlib import md5 as compute_md5


def calculate_sha256(obj):
    if type(obj) == str:
        obj = obj.encode("utf-8")
    return compute_sha256(obj).hexdigest()


def calculate_md5(obj):
    if type(obj) == str:
        obj = obj.encode("utf-8")
    return compute_md5(obj, usedforsecurity=False).hexdigest()
