from datetime import datetime

from tic.shared.dto import Dto
from tic.shared.utils.date_util import utc_now


class MfgScanResult(Dto):
    def __init__(
        self,
        md5: str = None,
        sha1: str = None,
        sha256: str = None,
        result_timestamp: datetime = None,
        result: str = None,
    ):
        self.md5 = md5
        self.sha1 = sha1
        self.sha256 = sha256
        self.result_timestamp = result_timestamp or utc_now()
        self.result = result
