from datetime import datetime

from tic.shared.ubs.dtos.analysis.timing import UbsAnalysisTiming


class ApcUploadTiming(UbsAnalysisTiming):
    def __init__(self, upload_sent: datetime = None):
        super().__init__()
        self.upload_sent = upload_sent
        super().decode_settings.update({"upload_sent": self.from_iso_8601_if_present})

        super().encode_settings.update({"upload_sent": self.to_iso_8601_if_present})
