from ....dto import Dto
from ....utils.date_util import from_iso_8601, to_iso_8601


class UbsAnalysisTiming(Dto):
    @staticmethod
    def from_iso_8601_if_present(datetime_str):
        return None if datetime_str is None else from_iso_8601(datetime_str)

    @staticmethod
    def to_iso_8601_if_present(dt):
        return None if dt is None else to_iso_8601(dt)
