from enum import IntEnum


class UbsAnalysisStage(IntEnum):
    BINARY_STORAGE_VALIDATION = 0
    APC_LOOKUP = 1
    APC_LOOKUP_POLL = 2
    APC_UPLOAD = 3
    YARA = 4
    ROENTGEN = 5
    FILE_EXISTS = 6
    APC_UPLOAD_ALLOWED = 7

    # below are test stages
    STG_1 = 100
    STG_2 = 101
    STG_3 = 102
    STG_4 = 103
    STG_5 = 104
    STG_6 = 105
    STG_7 = 106
    STG_8 = 107
